Mail archive
alpine-devel

[alpine-devel] [PATCH] testing/pastebinc: new aport

From: Jeremy Thomerson <jeremy_at_thomersonfamily.com>
Date: Thu, 28 Jul 2011 23:33:40 +0000

a new aport for my new project: pastebinc
see https://github.com/jthomerson/pastebinc for more info
---
 testing/pastebinc/APKBUILD |   41 +++++++++++++++++++++++++++++++++++++++++
 1 files changed, 41 insertions(+), 0 deletions(-)
 create mode 100644 testing/pastebinc/APKBUILD
diff --git a/testing/pastebinc/APKBUILD b/testing/pastebinc/APKBUILD
new file mode 100644
index 0000000..d40962f
--- /dev/null
+++ b/testing/pastebinc/APKBUILD
_at_@ -0,0 +1,41 @@
+# Contributor: Jeremy Thomerson <jeremy_at_thomersonfamily.com>
+# Maintainer: Jeremy Thomerson <jeremy_at_thomersonfamily.com>
+pkgname=pastebinc
+pkgver=0.9
+pkgrel=0
+pkgdesc="utility to pipe data into a paste on pastebin.com or a similar site"
+url="https://github.com/jthomerson/pastebinc"
+arch="all"
+license="ASL 2.0"
+depends=
+depends_dev=
+makedepends="wget glib-dev curl-dev"
+install=""
+subpackages=""
+source="saveas-https://github.com/jthomerson/pastebinc/tarball/RELEASE_0.9-BETA/$pkgname-$pkgver-$pkgrel.tar.gz"
+_builddir="$srcdir/jthomerson-pastebinc-8dbb86b"
+
+makeparams="VERSION=$pkgver-$pkgrel CONFDIR=/etc/pastebinc"
+
+prepare() {
+	local i
+	cd "$_builddir"
+	for i in $source; do
+		case $i in
+		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+		esac
+	done
+}
+
+build() {
+	cd "$_builddir"
+	make $makeparams clean || return 1
+	make $makeparams || return 1
+}
+
+package() {
+	cd "$_builddir"
+	make $makeparams DESTDIR="$pkgdir" install || return 1
+}
+
+md5sums="a1620a9d04ecb79f42ede3768987567a  pastebinc-0.9-0.tar.gz"
-- 
1.7.4.5
---
Unsubscribe:  alpine-devel+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-devel+help_at_lists.alpinelinux.org
---
Received on Thu Jul 28 2011 - 23:33:40 UTC